Bug 14165 - [PATCH] Archive limits are not apply when zero
: [PATCH] Archive limits are not apply when zero
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/klamav)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-25 19:25 by
Modified: 2008-05-29 18:36 (History)


Attachments
Described patch (5.54 KB, patch)
2008-01-25 19:26, Andy Shevchenko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-25 19:25:25
klamav uses its own logic for Archive limits. However, the zero limits are 
mean unlimit but not pass to Clamav.
Additionally, the defaults of these limits is setted up to the zeros instead 
of analogical in the other part of the Klamav.
I propose some dirty hack (why? It fixed self-generated sources and should be 
applied after ./configure) to fix this issue.
------- Comment #1 From 2008-01-25 19:26:24 -------
Created an attachment (id=2393) [details]
Described patch

Should be applied after ./configure before make.
------- Comment #2 From 2008-01-26 00:34:48 -------
Приложен к 0.41.1-alt5
------- Comment #3 From 2008-01-26 01:30:14 -------
Нет, не приложен :)
А нельзя всё-таки без хака обойтись для кода обработки настроек?
------- Comment #4 From 2008-01-26 15:14:18 -------
Конфигурационный диалог строится из *.kcfg, который в свою очередь за основу 
берёт _вшитые_ в xml значения. Я не настолько знаю хорошо KDE, чтобы ответить 
на вопрос, но без него получаются параметры по умолчанию = 0. Если хотите 
более прямого решения, то вначале надо применить ту часть патча, которая 
разрешает передачу 0 в ком. строку clamav (закомментированы 4 if'а). 
------- Comment #5 From 2008-02-14 14:00:28 -------
Обновление до 0.42 решит проблему обходным путём :(
------- Comment #6 From 2008-02-15 10:08:44 -------
Отправляю 0.42-alt1
------- Comment #7 From 2008-02-15 20:45:57 -------
reopen
------- Comment #8 From 2008-02-15 20:46:07 -------
CLOSED LATER -- это незакрытая бага :)